package com.inet.authentication.oauth.ex;

import com.inet.authentication.oauth2.api.OAuthServerDescription;
import com.inet.config.structure.provider.ConfigStructureProvider;
import com.inet.plugin.PluginInfo;
import com.inet.plugin.ServerPlugin;
import com.inet.plugin.ServerPluginManager;

/**
 * Server plugin to register the extension
 */
@PluginInfo( //
id = "authentication.oauth.ex", //
dependencies = "authentication.oauth", //
group = "samples", //
icon = "com/inet/authentication/oauth/ex/login_oauth_48.png", //
version = "1.0" //
)public class OAuthExServerPlugin implements ServerPlugin {

    /**
     * {@inheritDoc}
     */
    @Override
    public void registerExtension( ServerPluginManager spm ) {
        // register the OAuth service
        spm.register( OAuthServerDescription.class, new OAuthExServerDescription() );

        // register a UI extension for setting, this is only needed if the settings are not hard coded
        spm.register( ConfigStructureProvider.class, new OAuthExStructureProvider() );
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init( ServerPluginManager spm ) {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void reset() {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void restart() {
        // nothing
    }
}
